FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111301700.p0.g9b15b11.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.g9b15b11.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9b15b11 OS_GIT_VERSION=4.6.0-202111301700.p0.g9b15b11.assembly.stream-9b15b11 SOURCE_DATE_EPOCH=1616616291 SOURCE_GIT_COMMIT=9b15b1192f37d45821100ca047617849db996342 SOURCE_GIT_TAG=v0.0.0-beta1-155-g9b15b119 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.6.0.20211130.171945
ENV __doozer=update BUILD_RELEASE=202111301700.p0.g9b15b11.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.g9b15b11.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9b15b11 OS_GIT_VERSION=4.6.0-202111301700.p0.g9b15b11.assembly.stream-9b15b11 SOURCE_DATE_EPOCH=1616616291 SOURCE_GIT_COMMIT=9b15b1192f37d45821100ca047617849db996342 SOURCE_GIT_TAG=v0.0.0-beta1-155-g9b15b119 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/termination-handler /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202111301700.p0.g9b15b11.assembly.stream" \
        io.openshift.build.commit.id="9b15b1192f37d45821100ca047617849db996342" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/9b15b1192f37d45821100ca047617849db996342" \
        version="v4.6.0"

